<mat-drawer-container class="example-container">
    <mat-drawer #drawer class="example-sidenav" mode="over" position="end" fixedInViewport="true">
        <app-view-service [serviceDescription]="selectedServiceView" [drawerView]="drawer"></app-view-service>
    </mat-drawer>

    <mat-drawer-content>

        <body>
            <div class="banner">
            </div>
            <div class="banner-overlay">
                <span style="display: flex; align-items: center;">
                    <svg width="26" height="27" viewBox="0 0 26 27" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M13
                            2.5C11.6588
                            2.5 10.5714 3.58731 10.5714
                            4.92857V5.64286H15.4286V4.92857C15.4286 3.58731
                            14.3413 2.5
                            13 2.5ZM17.4286 5.64286V4.92857C17.4286 2.48274
                            15.4458 0.5
                            13 0.5C10.5542 0.5 8.57144 2.48274 8.57144
                            4.92857V5.64286H2.7143C1.21524 5.64286 1.37091e-05
                            6.85808
                            1.37091e-05 8.35714V11.7809C-4.56969e-06 11.7844
                            -4.56969e-06 11.7879 1.37091e-05
                            11.7914V23.7857C1.37091e-05
                            25.2848 1.21524 26.5 2.7143 26.5H23.2857C24.7848
                            26.5 26
                            25.2848 26 23.7857V11.7913C26 11.7878 26 11.7844 26
                            11.781V8.35714C26 6.85808 24.7848 5.64286 23.2857
                            5.64286H17.4286ZM24 11.4032V8.35714C24 7.96265
                            23.6802
                            7.64286 23.2857 7.64286H2.7143C2.31981 7.64286
                            2.00001
                            7.96265 2.00001 8.35714V11.4032C7.91293 17.8402
                            18.0871
                            17.8402 24 11.4032ZM2.00001 14.1795V23.7857C2.00001
                            24.1802
                            2.31981 24.5 2.7143 24.5H23.2857C23.6802 24.5 24
                            24.1802 24
                            23.7857V14.1795C17.6922 19.5814 8.30783 19.5814
                            2.00001
                            14.1795Z" fill="white" />
                    </svg>
                    <p class="title">My Company Services</p>

                </span>
                <span>
                    <mat-form-field appearance="standard" class="filter">
                        <mat-icon class="search-icon">
                            search
                        </mat-icon>
                        <mat-label>
                            Search service, labelling level
                        </mat-label>
                        <input matInput (keyup)="applyFilter($event)" #input />
                    </mat-form-field>
                    <button mat-raised-button type="button" class="service-desc-button"
                        (click)="navigateToCreation()"><span>Add service
                            description
                        </span><mat-icon>add</mat-icon></button>
                </span>
            </div>
            <div class="loader" *ngIf="loading | async">
                <mat-spinner *ngIf="loading | async"></mat-spinner>
            </div>
            <div class="table-wrapper" *ngIf="dataSource.filteredData.length > 0">

                <table mat-table [dataSource]="dataSource" class="mat-elevation-z8"
                    *ngIf="dataSource.filteredData.length > 0" matSort #empTbSort="matSort">

                    <ng-container matColumnDef="service_title" class="service-name-col">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header class="service-name-col">Service
                            name </th>
                        <td mat-cell *matCellDef="let service" class="service-cell">
                            {{service.service_title}}
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="location" class="localization-col">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header class="localization-col">
                            Localization
                        </th>
                        <td mat-cell *matCellDef="let service">
                            <span class="country-cell">
                                <span class="country-wrapper" *ngIf="service.location">
                                    <span class="country-name">
                                        {{service.location.country_name}}
                                    </span>
                                    <span class="small-light">
                                        <ng-container *ngIf="service.location.state">
                                            {{service.location.state}} -
                                        </ng-container>
                                        {{service.location.urban_area}}
                                    </span>
                                </span>
                            </span>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="status" class="status-col">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header class="status-col"> State
                        </th>
                        <td mat-cell *matCellDef="let service"><span class="status-label" [ngClass]="getStatusLabelClass(service.status,
                                    service.label)">
                                <span class="circle"></span>
                                {{service.status}}
                            </span></td>
                    </ng-container>

                    <ng-container matColumnDef="label">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header>
                            Aster-X
                            Label
                        </th>
                        <td mat-cell *matCellDef="let service">
                            <span class="label-wrapper">
                                <ng-container *ngIf="service.compliance_label_level">
                                <app-static-star-rating [value]="service.compliance_label_level*1" style="display: flex; margin-right: 4px;"></app-static-star-rating>
                                    <p class="gaia-label"> Label
                                        {{service.compliance_label_level}}</p>
                                </ng-container>
                            </span>

                            <span [matTooltipDisabled]="!(service.status === 'Draft' || service.status === 'Ready to sign')" matTooltip="Service must be signed in order to simulate label">
                                    <a href="javascript:void(0)"
                                       [class.hypertext]="service.status !== 'Draft'"
                                       [class.hypertext-disabled]="service.status === 'Draft' || service.status === 'Ready to sign'"
                                       (click)="goToSimulateLabel(service, $event)">Simulate</a>
                            </span>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="lastModified" class="modification-col">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header class="modification-col"> Last
                            Modification
                        </th>
                        <td mat-cell *matCellDef="let service" class="date-cell">
                            <p>{{formatDateString(service.lastModified)}}</p>
                            <p>{{getDate(service.lastModified)}}</p>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="step" class="step-col">
                        <th mat-header-cell *matHeaderCellDef mat-sort-header class="step-col"> Step
                        </th>
                        <td mat-cell *matCellDef="let service">
                            <app-circular-progress-bar
                                [stage]="defineProgressionStage(service)"></app-circular-progress-bar>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="actions" class="actions-header">
                        <th mat-header-cell *matHeaderCellDef> Actions </th>
                        <td mat-cell *matCellDef="let service" class="actions-column">

                            <span class="action-buttons-variable">
                                <p class="action-published" *ngIf="service.status ===
                                        statusEnum.PUBLISHED
                                        &&
                                        service.compliance_label_level">
                                    {{actionsEnum.PUBLISHED}}
                                    <mat-icon style="margin-left: 10px;">
                                        check_circle
                                    </mat-icon>
                                </p>
                                <button mat-stroked-button class="action-button" type="button"
                                    (click)="requestLabel(service)" [disabled]="service.processing"
                                    [class.spinner]="service.processing" *ngIf="(service.status ===
                                        statusEnum.PUBLISHED
                                        ||
                                        service.status === statusEnum.COMPLIANT)
                                        &&
                                        !service.compliance_label_level">
                                    {{actionsEnum.REQUEST_LABEL}}
                                    <span [class.spinner]="service.processing"></span>
                                </button>
                                <button mat-stroked-button class="action-button" type="button"
                                    (click)="openSignDialog(service)" *ngIf="service.status ===
                                        statusEnum.READY_TO_SIGN">
                                    {{actionsEnum.SIGN}}

                                </button>
                                <button mat-stroked-button class="action-button" type="button" *ngIf="service.status ===
                                        statusEnum.READY_COMPLIANCE" [class.spinner]="service.processing"
                                    [disabled]="service.processing" (click)="requestCompliance(service)">
                                    {{actionsEnum.REQUEST_COMPLIANCE}}
                                    <span [class.spinner]="service.processing"></span>
                                </button>

                                <button mat-stroked-button class="action-button" type="button"
                                    (click)="publish(service)" *ngIf="service.status ===
                                        statusEnum.COMPLIANT">
                                    {{actionsEnum.PUBLISH_CATALOG}}
                                </button>
                                <button mat-stroked-button class="action-button" type="button"
                                    (click)="navigateToEditPage(service)" *ngIf="service.status ===
                                        statusEnum.DRAFT">
                                    {{actionsEnum.EDIT}}
                                </button>
                            </span>

                            <span style="display: flex;
                                    align-items: center;">
                                <button mat-icon-button type="button" (click)="this.selectedServiceView=
                                        service;drawer.toggle()"><mat-icon>visibility</mat-icon></button>
                                <button mat-icon-button type="button" [matMenuTriggerFor]="menu" aria-label="Example icon-button with a
                                        menu">
                                    <mat-icon>more_vert</mat-icon>
                                </button>
                                <mat-menu #menu="matMenu">
                                    <button mat-menu-item class="more-menu-item" (click)="duplicate(service)" type="button">
                                        <mat-icon>content_copy</mat-icon>
                                        <span>Duplicate</span>
                                    </button>
                                    <button mat-menu-item (click)="delete(service)" type="button">
                                        <mat-icon>delete</mat-icon>
                                        <span>Delete</span>
                                    </button>
                                </mat-menu>
                            </span>

                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns" class="rows"></tr>
                    <tr mat-row *matRowDef="let row; columns:
                            displayedColumns;"></tr>
                </table>
                <mat-paginator [pageSizeOptions]="[10, 25, 100]" class="mat-elevation-z8"></mat-paginator>
            </div>

        </body>
    </mat-drawer-content>

</mat-drawer-container>
